Bug 678855 - Review Request: python-rpyc - A Transparent, Symmetrical Python Library for Distributed-Computing
Review Request: python-rpyc - A Transparent, Symmetrical Python Library for D...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-20 07:33 EST by Erez Shinan
Modified: 2013-10-19 10:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: python-rpyc-3.0.7-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-30 13:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lutter: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erez Shinan 2011-02-20 07:33:23 EST
Spec URL: http://dl.dropbox.com/u/3488676/python-rpyc.spec
SRPM URL: http://dl.dropbox.com/u/3488676/python-rpyc-3.0.7-1.src.rpm
Description: 
RPyC, or Remote Python Call, is a transparent and symmetrical python library
for remote procedure calls, clustering and distributed-computing.
RPyC makes use of object-proxying, a technique that employs python's dynamic
nature, to overcome the physical boundaries between processes and computers,
so that remote objects can be manipulated as if they were local. 

This is my first package, and I need a sponsor.
Comment 1 David Lutterkort 2011-03-10 17:17:20 EST
A couple of issues with the spec file:

(1) The version in the changelog should be '3.0.7-1', not 'RPM created'
(2) rpmlint complains about a number of non-executable-script errors; (see 'rpmlint -I non-executable-script' for how to fix that)
Comment 2 Erez Shinan 2011-03-13 04:46:41 EDT
Fixed, the corrected package+spec are available under the same links.
Comment 3 David Lutterkort 2011-03-22 20:50:47 EDT
APPROVED

Please follow
http://fedoraproject.org/wiki/Package_SCM_admin_requests#New_Packages and
import the package. Close this bug as RAWHIDE once it's been successfully
imported and built.
Comment 4 Erez Shinan 2011-04-18 04:58:09 EDT
New Package SCM Request
=======================
Package Name: python-rpyc
Short Description: A Transparent, Symmetrical Python Library for Distributed-Computing
Owners: erez
Branches: f15 el6
InitialCC:
Comment 5 Dan Kenigsberg 2011-04-28 08:06:37 EDT
We are unable to set fedora‑cvs?. Should we ask for fedora‑review+ first?
Comment 6 Ankur Sinha (FranciscoD) 2011-04-28 08:17:40 EDT
Yep! When approved, the review flag must be set to "+".
Comment 7 Erez Shinan 2011-05-02 08:11:17 EDT
What must we do to set the fedora‑cvs flag (we still can't)? Could you please set it for us?
Comment 8 Jay Greguske 2011-05-03 09:29:35 EDT
Not sure why you can't set it yourself, I went ahead and set it fedora-cvs? upon request on IRC.
Comment 9 Jason Tibbitts 2011-05-05 11:37:23 EDT
The requested package name does not match the package name in the ticket
summary.  Please fix whichever is incorrect and re-raise the fedora-cvs flag.
Comment 10 Jason Tibbitts 2011-05-10 11:20:48 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-06-12 10:15:04 EDT
python-rpyc-3.0.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-rpyc-3.0.7-1.el6
Comment 12 Fedora Update System 2011-06-12 10:28:15 EDT
python-rpyc-3.0.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-rpyc-3.0.7-1.fc15
Comment 13 Fedora Update System 2011-06-15 20:31:30 EDT
python-rpyc-3.0.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 14 Fedora Update System 2011-06-23 23:38:05 EDT
python-rpyc-3.0.7-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 15 Fedora Update System 2011-06-30 13:54:22 EDT
python-rpyc-3.0.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.